.titleBar { margin-bottom: 5px!important; }

OpenVPN / FW 29.04.28-5184 / FB 7170

Dieses Thema im Forum "FRITZ!Box Fon: Modifikationen" wurde erstellt von daimon, 20 Nov. 2006.

  1. daimon

    daimon Neuer User

    Registriert seit:
    20 Nov. 2006
    Beiträge:
    1
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    hat schon jemand OpenVPN mit den neuen Labor-Firmwares zum laufen gebracht?

    # ./openvpn
    ./openvpn: can't resolve symbol '__uClibc_start_main'

    Das Problem liegt wohl am neuen 2.6er Kernel, wie ich bereits gelesen habe.

    Hat jemand OpenVPN neu kompiliert und kann die binary zur Verfügung stellen oder eine kurze Anleitung zum Kompilieren geben?

    Vielen Dank im Voraus.
     
  2. MicAlter

    MicAlter Neuer User

    Registriert seit:
    25 Jan. 2006
    Beiträge:
    149
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Beruf:
    Software-Entwickler
    Ort:
    Gelsenkirchen
    Hi,

    habe auch die Labor-Version und noch keine OpenVPN für den Kernel 2.6 gefunden.

    @all: Gibt's da schon was Neues?

    Ich habe gelesen, dass es im ds-mod Thread einen Patch für die Labor-Version(en) gibt, mit welchem die aktuelle ds-mod Version inkl. OpenVPN lauffähig ist. An den ds-mod habe ich mich allerdings noch nicht herangetraut...

    @all: Wenn das OpenVPN mit der Labor-Version läuft, kann man dann dieses nicht auch aus diesem Patch/Paket stand-alone verwenden? Sollte ja dann mit den 2.6er Kernel laufen, oder?

    Gruß,
    MicAlter
     
  3. olistudent

    olistudent IPPF-Urgestein

    Registriert seit:
    19 Okt. 2004
    Beiträge:
    14,761
    Zustimmungen:
    5
    Punkte für Erfolge:
    38
    Beruf:
    Softwareentwickler
    Ort:
    Kaiserslautern
    Das Binary langt natürlich nicht. Es müssen auch noch die entsprechenden Libs dazu...
    Ansonten müsste ich nachschauen ob da noch irgendwas gepatcht ist. Und es wird eventuell Probleme mit dem tun Device geben.

    MfG Oliver